Package org.eclipse.rdf4j.spin.function

## Class SpinTupleFunction

- java.lang.Object
- - org.eclipse.rdf4j.spin.function.AbstractSpinFunction
  - - org.eclipse.rdf4j.spin.function.SpinTupleFunction

- All Implemented Interfaces:
    `TupleFunction`, `TransientTupleFunction`

      public class SpinTupleFunction
      extends AbstractSpinFunction
      implements TransientTupleFunction

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SpinTupleFunction​(String uri)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addArgument​(Argument arg)` |
    `CloseableIteration<? extends List<? extends Value>,​QueryEvaluationException>` | `evaluate​(ValueFactory valueFactory, Value... args)` |
    `List<Argument>` | `getArguments()` |
    `ParsedQuery` | `getParsedQuery()` |
    `void` | `setParsedQuery​(ParsedQuery query)` |
    `String` | `toString()` |

    - ### Methods inherited from class org.eclipse.rdf4j.spin.function.AbstractSpinFunction

      `addBindings, getCurrentQueryPreparer, getQueryPreparer, getURI, setQueryPreparer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.evaluation.function.TupleFunction

      `getURI`

- - ### Constructor Detail

    - #### SpinTupleFunction

          public SpinTupleFunction​(String uri)

  - ### Method Detail

    - #### setParsedQuery

          public void setParsedQuery​(ParsedQuery query)

    - #### getParsedQuery

          public ParsedQuery getParsedQuery()

    - #### addArgument

          public void addArgument​(Argument arg)

    - #### getArguments

          public List<Argument> getArguments()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### evaluate

          public CloseableIteration<? extends List<? extends Value>,​QueryEvaluationException> evaluate​(ValueFactory valueFactory,
                                                                                                             Value... args)
                                                                                                      throws QueryEvaluationException

      Specified by:
        `evaluate` in interface `TupleFunction`
      Throws:
        `QueryEvaluationException`